Arch Ajouter

From FreeCAD Documentation
Revision as of 01:18, 29 November 2013 by Yorik (talk | contribs)
Jump to: navigation, search

Arch Add.svg Arch Addition

Emplacement du menu
Arch -> Add
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch Remove


Description

L'outil Ajouter Arch Add.png vous permet de faire 2 types d'opérations :

  • Ajouter un objet de base à un compososant Architecture, par exemple un mur Arch Wall.png ou une structure Arch Structure.png.

Ces objets font alors partie des composants d'Architecture, et vous permettent de modifier sa forme, mais en gardant ses propriétés de base telles que la largeur et la hauteur.

Arch Add example.jpg

Dans l'image ci-dessus, une boîte est ajoutée à une paroi.

Utilisation

  • Sélectionnez l'objet ou les objets que vous devez ajouter (ici la boîte), puis sélectionnez l'objet hôte (mur) (l'objet hôte (mur), doit toujours être le dernier objet sélectionné).
  • Appuyez sur le bouton Ajouter Ajouter.
  • Ajouter un Axes system Système d'axes dans Élément structurel un objet structurel.
  • Ajouter un objet dans un plan de coupe plan de coupe.

Scripting

The Add tool can by used in macros and from the python console by using the following function:

addComponents (objectsList,hostObject): 
  • Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.
  • Returns nothing.

Example:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎